<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>
    <script
        src="https://code.jquery.com/jquery-3.5.1.js"
        integrity="sha256-QWo7LDvxbWT2tbbQ97B53yJnYU3WhH/C8ycbRAkjPDc="
        crossorigin="anonymous"></script> 
    <title>Reset</title>
</head>
<body>
    <div style="width: 100%; height: 100vh; align-items: center;" class="container-fluid d-flex justify-content-center">
        <div class="card card-body" style="max-width: 320px;">
            <p class="card-title mx-auto">Cambiar contraseña</p>
                <form action="" method="POST" id="resetForm">
                    <div class="form-group">
                        <label for="password">Contraseña </label>
                        <input type="password" id="password" name="password" class="form-control">
                    </div>
                    <div class="form-group">
                        <label for="confirmPassword">Confirmar contraseña </label>
                        <input type="password" id="confirmPassword" name="confirmPassword" class="form-control">
                    </div>
                    <button type="submit"  class="btn-block btn btn-danger">Log in</button>
                </form>
            <p class="text-warning pt-1" id="alertas"></p>
            <div class="alert alert-success" id="resetAlert" role="alert" style="display: none;">
                Contraseña cambiada con exito
              </div>
        </div>
    </div>
    <script>
        let url; 
        $(document).ready(()=> {
            url = document.URL;
            url = String(url.match(/\?+.+/));
            url = url.replace("?", "");
        })
        $("#resetForm").on('submit', (event)=>{
            event.preventDefault();
            password = $("#password").val()
            confirmPassword = $("#confirmPassword").val()
            if (password !== confirmPassword) {
                $("#alertas").text("Las contraseñas no coinciden")
                return false;
            }
            if (password.length < 8){
                $("#alertas").text("La contraseña debe contener 8 caracteres")
                return false;
            }
            $.ajax({
                url: `http://localhost:4000/api/auth/resetPassword?id=${url}`,
                method: 'POST',
                data: {
                    password: password
                }, 
                success: ()=> {
                    $("#resetAlert").css('display', 'inline'); 

                },
                statusCode:  {
                    404 : ()=> {
                        $("#alertas").text("Usuario no encontrado")
                    },
                    401: ()=> {
                        $("#alertas").text("EL token ha expirado")
                    },
                    400: ()=> {
                        $("#alertas").text("Ha ocurrido un problema")
                    }
                }
            })
        } )

    </script>
</body>
</html>